<template>
  <div class="grid grid-cols-2 gap-4 sm:grid-cols-3 md:grid-cols-4 lg:grid-cols-5">
    <template
      v-for="option in options"
      :key="option.value"
    >
      <button
        :class="{ 'border-primary-500 bg-primary-50': modelValue === option.value }"
        class="flex flex-col items-center justify-center space-y-3.5 rounded-md border-0 p-2.5 ring-1 ring-inset ring-gray-900/10 focus:outline-none focus:ring-2 focus:ring-primary-500"
        type="button"
        @click="$emit('update:modelValue', option.value)"
      >
        <component
          :is="option.icon"
          class="h-12 w-12"
        />
        <span class="text-sm text-gray-800">{{ $t(option.label) }}</span>
      </button>
    </template>
  </div>
</template>

<script lang="ts" setup>
import type { FunctionalComponent, SVGAttributes } from "vue";

defineProps<{
  modelValue: string;
  options: { icon: FunctionalComponent<SVGAttributes>; label: string; value: string }[];
}>();

defineEmits<{
  "update:modelValue": [value: string];
}>();
</script>
